Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.events
Class ClickEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.p13n.tracking.events.ClickEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

Direct Known Subclasses:
  ClickCampaignEvent, ClickContentEvent, ClickProductEvent

    public class ClickEvent

extends TrackingEvent

Event for tracking web site Click activity

See Also
  Serialized Form

Field Summary
`static String` | `DOCUMENT_ID` Event attribute key name for document id Attribute value is a String
`static String` | `DOCUMENT_TYPE` Event attribute key name for document type Attribute value is a String
`static String` | `TYPE` The event type

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`ClickEvent(String theEventType, javax.servlet.http.HttpSession session, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId)` Create a new ClickEvent.
`ClickEvent(String theEventType, String theSessionId, String theUserId, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId)` Deprecated

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  The event type

  See Also
    Constants Summary

### DOCUMENT_TYPE

    public static final String DOCUMENT_TYPE

  Event attribute key name for document type Attribute value is a String

  See Also
    Constants Summary

### DOCUMENT_ID

    public static final String DOCUMENT_ID

  Event attribute key name for document id Attribute value is a String

  See Also
    Constants Summary

Constructor Detail

### ClickEvent

    public ClickEvent(String theEventType,
                      javax.servlet.http.HttpSession session,
                      String theXMLNamespace,
                      String theXSDFile,
                      String[] theSchemaKeys,
                      javax.servlet.http.HttpServletRequest theRequest,
                      String aDocumentType,
                      String aDocumentId)

  Create a new ClickEvent. This ctor must be used for tracking anonymous users.

  Parameters
    `theEventType` - the type passed in from the subclass constructor
    `session` - the HttpSession from the application servlet
    `theXMLNamespace` - the namespace for the XML schema representing the event
    `theXSDFile` - the XSD filename that stores the event's schema
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the clicked link (optionally null)
    `aDocumentId` - Document ID for the clicked link (optionally null)

### ClickEvent

    public ClickEvent(String theEventType,
                      String theSessionId,
                      String theUserId,
                      String theXMLNamespace,
                      String theXSDFile,
                      String[] theSchemaKeys,
                      javax.servlet.http.HttpServletRequest theRequest,
                      String aDocumentType,
                      String aDocumentId)

  Deprecated

  Create a new ClickEvent.

  Parameters
    `theEventType` - the type passed in from the subclass constructor
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theXMLNamespace` - the namespace for the XML schema representing the event
    `theXSDFile` - the XSD filename that stores the event's schema
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the clicked link (optionally null)
    `aDocumentId` - Document ID for the clicked link (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved